Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSliderUI.ComponentHandler

- java.lang.Object
- - java.awt.event.ComponentAdapter
  - - javax.swing.plaf.basic.BasicSliderUI.ComponentHandler

All Implemented Interfaces:
  ComponentListener, EventListener

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.ComponentHandler
    extends ComponentAdapter

Listener for resizing events.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

### Constructor Summary

Constructors
Constructor and Description
`ComponentHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `componentResized(ComponentEvent e)` Invoked when the component's size changes.

### Methods inherited from class java.awt.event.ComponentAdapter

`componentHidden, componentMoved, componentShown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentHandler

    public ComponentHandler()

### Method Detail

#### componentResized

    public void componentResized(ComponentEvent e)

Description copied from class: `ComponentAdapter`
Invoked when the component's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`
Overrides:
  `componentResized` in class `ComponentAdapter`
Parameters:
  `e` - the event to be processed